Relesys API Docs

v1.3

https://api.relesystest.net/api/v1.3

Reactions

List
GET /contentmodules/{moduleId}/content/{contentId}/reactions
https://api.relesystest.net/api/v1.3/contentmodules/{moduleId}/content/{contentId}/reactions
Get a list of content reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetime Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"cfbfb23f-9e6a-474c-89bc-887124b669c1","userId":"a094f59b-618b-4055-bb64-70f14707cf77","userUrl":null,"type":"Angry","creationDateTime":"2026-04-16T10:47:19.708215+00:00"},{"id":"1d23adf3-c5c0-43e6-855b-a72a3bf179bd","userId":"6c513d5f-5671-4e22-b3ed-46d9c3775ac9","userUrl":null,"type":"Like","creationDateTime":"2026-04-16T10:47:19.708215+00:00"}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string